Last Comment Bug 777597 - Making a geolocation permission crashes on html4demos.com/geo
: Making a geolocation permission crashes on html4demos.com/geo
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: Trunk
: x86 Mac OS X
: -- critical (vote)
: mozilla17
Assigned To: Kan-Ru Chen [:kanru] (UTC+8)
:
:
Mentors:
http://html5demos.com/geo
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 18:09 PDT by Tony Chung [:tchung]
Modified: 2012-07-31 15:42 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+


Attachments
logcat of geo crash (215.97 KB, text/plain)
2012-07-25 18:09 PDT, Tony Chung [:tchung]
no flags Details
Add more check to GonkGPSGeolocationProvider (7.44 KB, patch)
2012-07-26 11:27 PDT, Kan-Ru Chen [:kanru] (UTC+8)
doug.turner: review+
Details | Diff | Splinter Review

Description Tony Chung [:tchung] 2012-07-25 18:09:27 PDT
Created attachment 645980 [details]
logcat of geo crash

When trying to accept geolocation permissions, browser App will crash and restart. 

logcat attached, but not sure if its helpful.  Also, bug 774580 may be related, and unsure if the patch there will fix this problem.

Environment
-07-25-2012 daily build
- gaia commit: 578593de74dd70a0aa6c3d4a5f652d739e342694
- gecko commit: 3632e0895ae248b818dd50317534b4cb4cdc934a

Repro:
1) install daily on otoro
2) launch browser App, and go to URL
3) click YES on the geolocation doorhanger
4) wait a bit, and verify the browser app will crash and restart to lockscreen

Expected;
- hitting yes to Geolocation should not crash the browser, and instead load the page 

Actual:
- crash and restart lockscreen
Comment 1 Kan-Ru Chen [:kanru] (UTC+8) 2012-07-26 10:03:03 PDT
Program received signal SIGSEGV, Segmentation fault.
0x40913710 in GonkGPSGeolocationProvider::ReleaseDataConnection (this=<value optimized out>)
    at /home/kanru/zone2/mozilla/central/dom/system/gonk/GonkGPSGeolocationProvider.cpp:299
299       mRIL->DeactivateDataCall(mCid, NS_LITERAL_STRING("Close SUPL session"));
Comment 2 Kan-Ru Chen [:kanru] (UTC+8) 2012-07-26 11:27:22 PDT
Created attachment 646226 [details] [diff] [review]
Add more check to GonkGPSGeolocationProvider
Comment 3 Kan-Ru Chen [:kanru] (UTC+8) 2012-07-26 15:52:45 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/d61eadd4c511
Comment 5 John Shih 2012-07-31 15:04:57 PDT
The fixed status has been verified
There is no crach anymore after accept the permission
but still can't get the geolocation information
please see https://github.com/mozilla-b2g/gaia/issues/2815
Comment 6 John Shih 2012-07-31 15:42:33 PDT
2012-07-31 #VERIFIED

Note You need to log in before you can comment on or make changes to this bug.